Loading...
Searching...
No Matches
gtsam::Sampler Class Reference

## Detailed Description

Sampling structure that keeps internal random number generators for diagonal distributions specified by NoiseModel.

## basic functionality

Vector | sample () const
| sample from distribution
static Vector | sampleDiagonal (const Vector &sigmas, std::mt19937_64 *rng)
| sample with given random number generator

## Public Member Functions

constructors
| Sampler (const noiseModel::Diagonal::shared_ptr &model, uint_fast64_t seed=42u)
| Create a sampler for the distribution specified by a diagonal NoiseModel with a manually specified seed.
| Sampler (const Vector &sigmas, uint_fast64_t seed=42u)
| Create a sampler for a distribution specified by a vector of sigmas directly.
access functions
size_t | dim () const
Vector | sigmas () const
const noiseModel::Diagonal::shared_ptr & | model () const

## Public Types

typedef boost::shared_ptr< Sampler > | shared_ptr

## Protected Member Functions

Vector | sampleDiagonal (const Vector &sigmas) const
| given sigmas for a diagonal model, returns a sample

## Protected Attributes

noiseModel::Diagonal::shared_ptr | model_
| noiseModel created at generation
std::mt19937_64 | generator_
| generator

## Constructor & Destructor Documentation

## Sampler() [1/2]

gtsam::Sampler::Sampler | ( | const noiseModel::Diagonal::shared_ptr & | model,
|  | uint_fast64_t | seed = 42u )

explicit

Create a sampler for the distribution specified by a diagonal NoiseModel with a manually specified seed.

NOTE: do not use zero as a seed, it will break the generator

## Sampler() [2/2]

gtsam::Sampler::Sampler | ( | const Vector & | sigmas,
|  | uint_fast64_t | seed = 42u )

explicit

Create a sampler for a distribution specified by a vector of sigmas directly.

NOTE: do not use zero as a seed, it will break the generator

The documentation for this class was generated from the following files:

- /build/gtsam-Xg031d/gtsam-4.2.0+dfsg/gtsam/linear/Sampler.h
- /build/gtsam-Xg031d/gtsam-4.2.0+dfsg/gtsam/linear/Sampler.cpp